loci.formats.meta

## Interface IMetadata

- All Superinterfaces:
    ome.xml.meta.BaseMetadata, ome.xml.meta.IMetadata, ome.xml.meta.MetadataRetrieve, ome.xml.meta.MetadataStore
  All Known Subinterfaces:
    OMEXMLMetadata

      public interface IMetadata
      extends ome.xml.meta.IMetadata, MetadataStore, MetadataRetrieve

  Author:
    Curtis Rueden ctrueden at wisc.edu

- - ### Method Summary

    - ### Methods inherited from interface ome.xml.meta.MetadataStore

      `createRoot, getRoot, setArcAnnotationRef, setArcID, setArcLotNumber, setArcManufacturer, setArcModel, setArcPower, setArcSerialNumber, setArcType, setBinaryFileBinData, setBinaryFileBinDataBigEndian, setBinaryFileBinDataCompression, setBinaryFileBinDataLength, setBinaryFileFileName, setBinaryFileMIMEType, setBinaryFileSize, setBinaryOnlyMetadataFile, setBinaryOnlyUUID, setBooleanAnnotationAnnotationRef, setBooleanAnnotationAnnotator, setBooleanAnnotationDescription, setBooleanAnnotationID, setBooleanAnnotationNamespace, setBooleanAnnotationValue, setChannelAcquisitionMode, setChannelAnnotationRef, setChannelColor, setChannelContrastMethod, setChannelEmissionWavelength, setChannelExcitationWavelength, setChannelFilterSetRef, setChannelFluor, setChannelID, setChannelIlluminationType, setChannelLightSourceSettingsAttenuation, setChannelLightSourceSettingsID, setChannelLightSourceSettingsWavelength, setChannelName, setChannelNDFilter, setChannelPinholeSize, setChannelPockelCellSetting, setChannelSamplesPerPixel, setCommentAnnotationAnnotationRef, setCommentAnnotationAnnotator, setCommentAnnotationDescription, setCommentAnnotationID, setCommentAnnotationNamespace, setCommentAnnotationValue, setCreator, setDatasetAnnotationRef, setDatasetDescription, setDatasetExperimenterGroupRef, setDatasetExperimenterRef, setDatasetID, setDatasetImageRef, setDatasetName, setDetectorAmplificationGain, setDetectorAnnotationRef, setDetectorGain, setDetectorID, setDetectorLotNumber, setDetectorManufacturer, setDetectorModel, setDetectorOffset, setDetectorSerialNumber, setDetectorSettingsBinning, setDetectorSettingsGain, setDetectorSettingsID, setDetectorSettingsIntegration, setDetectorSettingsOffset, setDetectorSettingsReadOutRate, setDetectorSettingsVoltage, setDetectorSettingsZoom, setDetectorType, setDetectorVoltage, setDetectorZoom, setDichroicAnnotationRef, setDichroicID, setDichroicLotNumber, setDichroicManufacturer, setDichroicModel, setDichroicSerialNumber, setDoubleAnnotationAnnotationRef, setDoubleAnnotationAnnotator, setDoubleAnnotationDescription, setDoubleAnnotationID, setDoubleAnnotationNamespace, setDoubleAnnotationValue, setEllipseAnnotationRef, setEllipseFillColor, setEllipseFillRule, setEllipseFontFamily, setEllipseFontSize, setEllipseFontStyle, setEllipseID, setEllipseLocked, setEllipseRadiusX, setEllipseRadiusY, setEllipseStrokeColor, setEllipseStrokeDashArray, setEllipseStrokeWidth, setEllipseText, setEllipseTheC, setEllipseTheT, setEllipseTheZ, setEllipseTransform, setEllipseX, setEllipseY, setExperimentDescription, setExperimenterAnnotationRef, setExperimenterEmail, setExperimenterFirstName, setExperimenterGroupAnnotationRef, setExperimenterGroupDescription, setExperimenterGroupExperimenterRef, setExperimenterGroupID, setExperimenterGroupLeader, setExperimenterGroupName, setExperimenterID, setExperimenterInstitution, setExperimenterLastName, setExperimenterMiddleName, setExperimenterUserName, setExperimentExperimenterRef, setExperimentID, setExperimentType, setFilamentAnnotationRef, setFilamentID, setFilamentLotNumber, setFilamentManufacturer, setFilamentModel, setFilamentPower, setFilamentSerialNumber, setFilamentType, setFileAnnotationAnnotationRef, setFileAnnotationAnnotator, setFileAnnotationDescription, setFileAnnotationID, setFileAnnotationNamespace, setFilterAnnotationRef, setFilterFilterWheel, setFilterID, setFilterLotNumber, setFilterManufacturer, setFilterModel, setFilterSerialNumber, setFilterSetDichroicRef, setFilterSetEmissionFilterRef, setFilterSetExcitationFilterRef, setFilterSetID, setFilterSetLotNumber, setFilterSetManufacturer, setFilterSetModel, setFilterSetSerialNumber, setFilterType, setFolderAnnotationRef, setFolderDescription, setFolderFolderRef, setFolderID, setFolderImageRef, setFolderName, setFolderROIRef, setGenericExcitationSourceAnnotationRef, setGenericExcitationSourceID, setGenericExcitationSourceLotNumber, setGenericExcitationSourceManufacturer, setGenericExcitationSourceMap, setGenericExcitationSourceModel, setGenericExcitationSourcePower, setGenericExcitationSourceSerialNumber, setImageAcquisitionDate, setImageAnnotationRef, setImageDescription, setImageExperimenterGroupRef, setImageExperimenterRef, setImageExperimentRef, setImageID, setImageInstrumentRef, setImageMicrobeamManipulationRef, setImageName, setImageROIRef, setImagingEnvironmentAirPressure, setImagingEnvironmentCO2Percent, setImagingEnvironmentHumidity, setImagingEnvironmentMap, setImagingEnvironmentTemperature, setInstrumentAnnotationRef, setInstrumentID, setLabelAnnotationRef, setLabelFillColor, setLabelFillRule, setLabelFontFamily, setLabelFontSize, setLabelFontStyle, setLabelID, setLabelLocked, setLabelStrokeColor, setLabelStrokeDashArray, setLabelStrokeWidth, setLabelText, setLabelTheC, setLabelTheT, setLabelTheZ, setLabelTransform, setLabelX, setLabelY, setLaserAnnotationRef, setLaserFrequencyMultiplication, setLaserID, setLaserLaserMedium, setLaserLotNumber, setLaserManufacturer, setLaserModel, setLaserPockelCell, setLaserPower, setLaserPulse, setLaserPump, setLaserRepetitionRate, setLaserSerialNumber, setLaserTuneable, setLaserType, setLaserWavelength, setLightEmittingDiodeAnnotationRef, setLightEmittingDiodeID, setLightEmittingDiodeLotNumber, setLightEmittingDiodeManufacturer, setLightEmittingDiodeModel, setLightEmittingDiodePower, setLightEmittingDiodeSerialNumber, setLightPathAnnotationRef, setLightPathDichroicRef, setLightPathEmissionFilterRef, setLightPathExcitationFilterRef, setLineAnnotationRef, setLineFillColor, setLineFillRule, setLineFontFamily, setLineFontSize, setLineFontStyle, setLineID, setLineLocked, setLineMarkerEnd, setLineMarkerStart, setLineStrokeColor, setLineStrokeDashArray, setLineStrokeWidth, setLineText, setLineTheC, setLineTheT, setLineTheZ, setLineTransform, setLineX1, setLineX2, setLineY1, setLineY2, setListAnnotationAnnotationRef, setListAnnotationAnnotator, setListAnnotationDescription, setListAnnotationID, setListAnnotationNamespace, setLongAnnotationAnnotationRef, setLongAnnotationAnnotator, setLongAnnotationDescription, setLongAnnotationID, setLongAnnotationNamespace, setLongAnnotationValue, setMapAnnotationAnnotationRef, setMapAnnotationAnnotator, setMapAnnotationDescription, setMapAnnotationID, setMapAnnotationNamespace, setMapAnnotationValue, setMaskAnnotationRef, setMaskBinData, setMaskBinDataBigEndian, setMaskBinDataCompression, setMaskBinDataLength, setMaskFillColor, setMaskFillRule, setMaskFontFamily, setMaskFontSize, setMaskFontStyle, setMaskHeight, setMaskID, setMaskLocked, setMaskStrokeColor, setMaskStrokeDashArray, setMaskStrokeWidth, setMaskText, setMaskTheC, setMaskTheT, setMaskTheZ, setMaskTransform, setMaskWidth, setMaskX, setMaskY, setMicrobeamManipulationDescription, setMicrobeamManipulationExperimenterRef, setMicrobeamManipulationID, setMicrobeamManipulationLightSourceSettingsAttenuation, setMicrobeamManipulationLightSourceSettingsID, setMicrobeamManipulationLightSourceSettingsWavelength, setMicrobeamManipulationROIRef, setMicrobeamManipulationType, setMicroscopeLotNumber, setMicroscopeManufacturer, setMicroscopeModel, setMicroscopeSerialNumber, setMicroscopeType, setObjectiveAnnotationRef, setObjectiveCalibratedMagnification, setObjectiveCorrection, setObjectiveID, setObjectiveImmersion, setObjectiveIris, setObjectiveLensNA, setObjectiveLotNumber, setObjectiveManufacturer, setObjectiveModel, setObjectiveNominalMagnification, setObjectiveSerialNumber, setObjectiveSettingsCorrectionCollar, setObjectiveSettingsID, setObjectiveSettingsMedium, setObjectiveSettingsRefractiveIndex, setObjectiveWorkingDistance, setPixelsBigEndian, setPixelsBinData, setPixelsBinDataBigEndian, setPixelsBinDataCompression, setPixelsBinDataLength, setPixelsDimensionOrder, setPixelsID, setPixelsInterleaved, setPixelsPhysicalSizeX, setPixelsPhysicalSizeY, setPixelsPhysicalSizeZ, setPixelsSignificantBits, setPixelsSizeC, setPixelsSizeT, setPixelsSizeX, setPixelsSizeY, setPixelsSizeZ, setPixelsTimeIncrement, setPixelsType, setPlaneAnnotationRef, setPlaneDeltaT, setPlaneExposureTime, setPlaneHashSHA1, setPlanePositionX, setPlanePositionY, setPlanePositionZ, setPlaneTheC, setPlaneTheT, setPlaneTheZ, setPlateAcquisitionAnnotationRef, setPlateAcquisitionDescription, setPlateAcquisitionEndTime, setPlateAcquisitionID, setPlateAcquisitionMaximumFieldCount, setPlateAcquisitionName, setPlateAcquisitionStartTime, setPlateAcquisitionWellSampleRef, setPlateAnnotationRef, setPlateColumnNamingConvention, setPlateColumns, setPlateDescription, setPlateExternalIdentifier, setPlateFieldIndex, setPlateID, setPlateName, setPlateRowNamingConvention, setPlateRows, setPlateStatus, setPlateWellOriginX, setPlateWellOriginY, setPointAnnotationRef, setPointFillColor, setPointFillRule, setPointFontFamily, setPointFontSize, setPointFontStyle, setPointID, setPointLocked, setPointStrokeColor, setPointStrokeDashArray, setPointStrokeWidth, setPointText, setPointTheC, setPointTheT, setPointTheZ, setPointTransform, setPointX, setPointY, setPolygonAnnotationRef, setPolygonFillColor, setPolygonFillRule, setPolygonFontFamily, setPolygonFontSize, setPolygonFontStyle, setPolygonID, setPolygonLocked, setPolygonPoints, setPolygonStrokeColor, setPolygonStrokeDashArray, setPolygonStrokeWidth, setPolygonText, setPolygonTheC, setPolygonTheT, setPolygonTheZ, setPolygonTransform, setPolylineAnnotationRef, setPolylineFillColor, setPolylineFillRule, setPolylineFontFamily, setPolylineFontSize, setPolylineFontStyle, setPolylineID, setPolylineLocked, setPolylineMarkerEnd, setPolylineMarkerStart, setPolylinePoints, setPolylineStrokeColor, setPolylineStrokeDashArray, setPolylineStrokeWidth, setPolylineText, setPolylineTheC, setPolylineTheT, setPolylineTheZ, setPolylineTransform, setProjectAnnotationRef, setProjectDatasetRef, setProjectDescription, setProjectExperimenterGroupRef, setProjectExperimenterRef, setProjectID, setProjectName, setReagentAnnotationRef, setReagentDescription, setReagentID, setReagentName, setReagentReagentIdentifier, setRectangleAnnotationRef, setRectangleFillColor, setRectangleFillRule, setRectangleFontFamily, setRectangleFontSize, setRectangleFontStyle, setRectangleHeight, setRectangleID, setRectangleLocked, setRectangleStrokeColor, setRectangleStrokeDashArray, setRectangleStrokeWidth, setRectangleText, setRectangleTheC, setRectangleTheT, setRectangleTheZ, setRectangleTransform, setRectangleWidth, setRectangleX, setRectangleY, setRightsRightsHeld, setRightsRightsHolder, setROIAnnotationRef, setROIDescription, setROIID, setROIName, setRoot, setScreenAnnotationRef, setScreenDescription, setScreenID, setScreenName, setScreenPlateRef, setScreenProtocolDescription, setScreenProtocolIdentifier, setScreenReagentSetDescription, setScreenReagentSetIdentifier, setScreenType, setStageLabelName, setStageLabelX, setStageLabelY, setStageLabelZ, setTagAnnotationAnnotationRef, setTagAnnotationAnnotator, setTagAnnotationDescription, setTagAnnotationID, setTagAnnotationNamespace, setTagAnnotationValue, setTermAnnotationAnnotationRef, setTermAnnotationAnnotator, setTermAnnotationDescription, setTermAnnotationID, setTermAnnotationNamespace, setTermAnnotationValue, setTiffDataFirstC, setTiffDataFirstT, setTiffDataFirstZ, setTiffDataIFD, setTiffDataPlaneCount, setTimestampAnnotationAnnotationRef, setTimestampAnnotationAnnotator, setTimestampAnnotationDescription, setTimestampAnnotationID, setTimestampAnnotationNamespace, setTimestampAnnotationValue, setTransmittanceRangeCutIn, setTransmittanceRangeCutInTolerance, setTransmittanceRangeCutOut, setTransmittanceRangeCutOutTolerance, setTransmittanceRangeTransmittance, setUUID, setUUIDFileName, setUUIDValue, setWellAnnotationRef, setWellColor, setWellColumn, setWellExternalDescription, setWellExternalIdentifier, setWellID, setWellReagentRef, setWellRow, setWellSampleID, setWellSampleImageRef, setWellSampleIndex, setWellSamplePositionX, setWellSamplePositionY, setWellSampleTimepoint, setWellType, setXMLAnnotationAnnotationRef, setXMLAnnotationAnnotator, setXMLAnnotationDescription, setXMLAnnotationID, setXMLAnnotationNamespace, setXMLAnnotationValue`

    - ### Methods inherited from interface ome.xml.meta.MetadataRetrieve

      `getArcAnnotationRef, getArcID, getArcLotNumber, getArcManufacturer, getArcModel, getArcPower, getArcSerialNumber, getArcType, getBinaryFileBinData, getBinaryFileBinDataBigEndian, getBinaryFileBinDataCompression, getBinaryFileBinDataLength, getBinaryFileFileName, getBinaryFileMIMEType, getBinaryFileSize, getBinaryOnlyMetadataFile, getBinaryOnlyUUID, getBooleanAnnotationAnnotationCount, getBooleanAnnotationAnnotationRef, getBooleanAnnotationAnnotator, getBooleanAnnotationCount, getBooleanAnnotationDescription, getBooleanAnnotationID, getBooleanAnnotationNamespace, getBooleanAnnotationValue, getChannelAcquisitionMode, getChannelAnnotationRef, getChannelAnnotationRefCount, getChannelColor, getChannelContrastMethod, getChannelCount, getChannelEmissionWavelength, getChannelExcitationWavelength, getChannelFilterSetRef, getChannelFluor, getChannelID, getChannelIlluminationType, getChannelLightSourceSettingsAttenuation, getChannelLightSourceSettingsID, getChannelLightSourceSettingsWavelength, getChannelName, getChannelNDFilter, getChannelPinholeSize, getChannelPockelCellSetting, getChannelSamplesPerPixel, getCommentAnnotationAnnotationCount, getCommentAnnotationAnnotationRef, getCommentAnnotationAnnotator, getCommentAnnotationCount, getCommentAnnotationDescription, getCommentAnnotationID, getCommentAnnotationNamespace, getCommentAnnotationValue, getCreator, getDatasetAnnotationRef, getDatasetAnnotationRefCount, getDatasetCount, getDatasetDescription, getDatasetExperimenterGroupRef, getDatasetExperimenterRef, getDatasetID, getDatasetImageRef, getDatasetImageRefCount, getDatasetName, getDatasetRefCount, getDetectorAmplificationGain, getDetectorAnnotationRef, getDetectorAnnotationRefCount, getDetectorCount, getDetectorGain, getDetectorID, getDetectorLotNumber, getDetectorManufacturer, getDetectorModel, getDetectorOffset, getDetectorSerialNumber, getDetectorSettingsBinning, getDetectorSettingsGain, getDetectorSettingsID, getDetectorSettingsIntegration, getDetectorSettingsOffset, getDetectorSettingsReadOutRate, getDetectorSettingsVoltage, getDetectorSettingsZoom, getDetectorType, getDetectorVoltage, getDetectorZoom, getDichroicAnnotationRef, getDichroicAnnotationRefCount, getDichroicCount, getDichroicID, getDichroicLotNumber, getDichroicManufacturer, getDichroicModel, getDichroicSerialNumber, getDoubleAnnotationAnnotationCount, getDoubleAnnotationAnnotationRef, getDoubleAnnotationAnnotator, getDoubleAnnotationCount, getDoubleAnnotationDescription, getDoubleAnnotationID, getDoubleAnnotationNamespace, getDoubleAnnotationValue, getEllipseAnnotationRef, getEllipseFillColor, getEllipseFillRule, getEllipseFontFamily, getEllipseFontSize, getEllipseFontStyle, getEllipseID, getEllipseLocked, getEllipseRadiusX, getEllipseRadiusY, getEllipseStrokeColor, getEllipseStrokeDashArray, getEllipseStrokeWidth, getEllipseText, getEllipseTheC, getEllipseTheT, getEllipseTheZ, getEllipseTransform, getEllipseX, getEllipseY, getExperimentCount, getExperimentDescription, getExperimenterAnnotationRef, getExperimenterAnnotationRefCount, getExperimenterCount, getExperimenterEmail, getExperimenterFirstName, getExperimenterGroupAnnotationRef, getExperimenterGroupAnnotationRefCount, getExperimenterGroupCount, getExperimenterGroupDescription, getExperimenterGroupExperimenterRef, getExperimenterGroupExperimenterRefCount, getExperimenterGroupID, getExperimenterGroupLeader, getExperimenterGroupName, getExperimenterID, getExperimenterInstitution, getExperimenterLastName, getExperimenterMiddleName, getExperimenterUserName, getExperimentExperimenterRef, getExperimentID, getExperimentType, getFilamentAnnotationRef, getFilamentID, getFilamentLotNumber, getFilamentManufacturer, getFilamentModel, getFilamentPower, getFilamentSerialNumber, getFilamentType, getFileAnnotationAnnotationCount, getFileAnnotationAnnotationRef, getFileAnnotationAnnotator, getFileAnnotationCount, getFileAnnotationDescription, getFileAnnotationID, getFileAnnotationNamespace, getFilterAnnotationRef, getFilterAnnotationRefCount, getFilterCount, getFilterFilterWheel, getFilterID, getFilterLotNumber, getFilterManufacturer, getFilterModel, getFilterSerialNumber, getFilterSetCount, getFilterSetDichroicRef, getFilterSetEmissionFilterRef, getFilterSetEmissionFilterRefCount, getFilterSetExcitationFilterRef, getFilterSetExcitationFilterRefCount, getFilterSetID, getFilterSetLotNumber, getFilterSetManufacturer, getFilterSetModel, getFilterSetSerialNumber, getFilterType, getFolderAnnotationRef, getFolderAnnotationRefCount, getFolderCount, getFolderDescription, getFolderFolderRef, getFolderID, getFolderImageRef, getFolderImageRefCount, getFolderName, getFolderRefCount, getFolderROIRef, getFolderROIRefCount, getGenericExcitationSourceAnnotationRef, getGenericExcitationSourceID, getGenericExcitationSourceLotNumber, getGenericExcitationSourceManufacturer, getGenericExcitationSourceMap, getGenericExcitationSourceModel, getGenericExcitationSourcePower, getGenericExcitationSourceSerialNumber, getImageAcquisitionDate, getImageAnnotationRef, getImageAnnotationRefCount, getImageCount, getImageDescription, getImageExperimenterGroupRef, getImageExperimenterRef, getImageExperimentRef, getImageID, getImageInstrumentRef, getImageMicrobeamManipulationRef, getImageName, getImageROIRef, getImageROIRefCount, getImagingEnvironmentAirPressure, getImagingEnvironmentCO2Percent, getImagingEnvironmentHumidity, getImagingEnvironmentMap, getImagingEnvironmentTemperature, getInstrumentAnnotationRef, getInstrumentAnnotationRefCount, getInstrumentCount, getInstrumentID, getLabelAnnotationRef, getLabelFillColor, getLabelFillRule, getLabelFontFamily, getLabelFontSize, getLabelFontStyle, getLabelID, getLabelLocked, getLabelStrokeColor, getLabelStrokeDashArray, getLabelStrokeWidth, getLabelText, getLabelTheC, getLabelTheT, getLabelTheZ, getLabelTransform, getLabelX, getLabelY, getLaserAnnotationRef, getLaserFrequencyMultiplication, getLaserID, getLaserLaserMedium, getLaserLotNumber, getLaserManufacturer, getLaserModel, getLaserPockelCell, getLaserPower, getLaserPulse, getLaserPump, getLaserRepetitionRate, getLaserSerialNumber, getLaserTuneable, getLaserType, getLaserWavelength, getLeaderCount, getLightEmittingDiodeAnnotationRef, getLightEmittingDiodeID, getLightEmittingDiodeLotNumber, getLightEmittingDiodeManufacturer, getLightEmittingDiodeModel, getLightEmittingDiodePower, getLightEmittingDiodeSerialNumber, getLightPathAnnotationRef, getLightPathAnnotationRefCount, getLightPathDichroicRef, getLightPathEmissionFilterRef, getLightPathEmissionFilterRefCount, getLightPathExcitationFilterRef, getLightPathExcitationFilterRefCount, getLightSourceAnnotationRefCount, getLightSourceCount, getLightSourceType, getLineAnnotationRef, getLineFillColor, getLineFillRule, getLineFontFamily, getLineFontSize, getLineFontStyle, getLineID, getLineLocked, getLineMarkerEnd, getLineMarkerStart, getLineStrokeColor, getLineStrokeDashArray, getLineStrokeWidth, getLineText, getLineTheC, getLineTheT, getLineTheZ, getLineTransform, getLineX1, getLineX2, getLineY1, getLineY2, getListAnnotationAnnotationCount, getListAnnotationAnnotationRef, getListAnnotationAnnotator, getListAnnotationCount, getListAnnotationDescription, getListAnnotationID, getListAnnotationNamespace, getLongAnnotationAnnotationCount, getLongAnnotationAnnotationRef, getLongAnnotationAnnotator, getLongAnnotationCount, getLongAnnotationDescription, getLongAnnotationID, getLongAnnotationNamespace, getLongAnnotationValue, getMapAnnotationAnnotationCount, getMapAnnotationAnnotationRef, getMapAnnotationAnnotator, getMapAnnotationCount, getMapAnnotationDescription, getMapAnnotationID, getMapAnnotationNamespace, getMapAnnotationValue, getMaskAnnotationRef, getMaskBinData, getMaskBinDataBigEndian, getMaskBinDataCompression, getMaskBinDataLength, getMaskFillColor, getMaskFillRule, getMaskFontFamily, getMaskFontSize, getMaskFontStyle, getMaskHeight, getMaskID, getMaskLocked, getMaskStrokeColor, getMaskStrokeDashArray, getMaskStrokeWidth, getMaskText, getMaskTheC, getMaskTheT, getMaskTheZ, getMaskTransform, getMaskWidth, getMaskX, getMaskY, getMicrobeamManipulationCount, getMicrobeamManipulationDescription, getMicrobeamManipulationExperimenterRef, getMicrobeamManipulationID, getMicrobeamManipulationLightSourceSettingsAttenuation, getMicrobeamManipulationLightSourceSettingsCount, getMicrobeamManipulationLightSourceSettingsID, getMicrobeamManipulationLightSourceSettingsWavelength, getMicrobeamManipulationRefCount, getMicrobeamManipulationROIRef, getMicrobeamManipulationROIRefCount, getMicrobeamManipulationType, getMicroscopeLotNumber, getMicroscopeManufacturer, getMicroscopeModel, getMicroscopeSerialNumber, getMicroscopeType, getObjectiveAnnotationRef, getObjectiveAnnotationRefCount, getObjectiveCalibratedMagnification, getObjectiveCorrection, getObjectiveCount, getObjectiveID, getObjectiveImmersion, getObjectiveIris, getObjectiveLensNA, getObjectiveLotNumber, getObjectiveManufacturer, getObjectiveModel, getObjectiveNominalMagnification, getObjectiveSerialNumber, getObjectiveSettingsCorrectionCollar, getObjectiveSettingsID, getObjectiveSettingsMedium, getObjectiveSettingsRefractiveIndex, getObjectiveWorkingDistance, getPixelsBigEndian, getPixelsBinData, getPixelsBinDataBigEndian, getPixelsBinDataCompression, getPixelsBinDataCount, getPixelsBinDataLength, getPixelsDimensionOrder, getPixelsID, getPixelsInterleaved, getPixelsPhysicalSizeX, getPixelsPhysicalSizeY, getPixelsPhysicalSizeZ, getPixelsSignificantBits, getPixelsSizeC, getPixelsSizeT, getPixelsSizeX, getPixelsSizeY, getPixelsSizeZ, getPixelsTimeIncrement, getPixelsType, getPlaneAnnotationRef, getPlaneAnnotationRefCount, getPlaneCount, getPlaneDeltaT, getPlaneExposureTime, getPlaneHashSHA1, getPlanePositionX, getPlanePositionY, getPlanePositionZ, getPlaneTheC, getPlaneTheT, getPlaneTheZ, getPlateAcquisitionAnnotationRef, getPlateAcquisitionAnnotationRefCount, getPlateAcquisitionCount, getPlateAcquisitionDescription, getPlateAcquisitionEndTime, getPlateAcquisitionID, getPlateAcquisitionMaximumFieldCount, getPlateAcquisitionName, getPlateAcquisitionStartTime, getPlateAcquisitionWellSampleRef, getPlateAnnotationRef, getPlateAnnotationRefCount, getPlateColumnNamingConvention, getPlateColumns, getPlateCount, getPlateDescription, getPlateExternalIdentifier, getPlateFieldIndex, getPlateID, getPlateName, getPlateRefCount, getPlateRowNamingConvention, getPlateRows, getPlateStatus, getPlateWellOriginX, getPlateWellOriginY, getPointAnnotationRef, getPointFillColor, getPointFillRule, getPointFontFamily, getPointFontSize, getPointFontStyle, getPointID, getPointLocked, getPointStrokeColor, getPointStrokeDashArray, getPointStrokeWidth, getPointText, getPointTheC, getPointTheT, getPointTheZ, getPointTransform, getPointX, getPointY, getPolygonAnnotationRef, getPolygonFillColor, getPolygonFillRule, getPolygonFontFamily, getPolygonFontSize, getPolygonFontStyle, getPolygonID, getPolygonLocked, getPolygonPoints, getPolygonStrokeColor, getPolygonStrokeDashArray, getPolygonStrokeWidth, getPolygonText, getPolygonTheC, getPolygonTheT, getPolygonTheZ, getPolygonTransform, getPolylineAnnotationRef, getPolylineFillColor, getPolylineFillRule, getPolylineFontFamily, getPolylineFontSize, getPolylineFontStyle, getPolylineID, getPolylineLocked, getPolylineMarkerEnd, getPolylineMarkerStart, getPolylinePoints, getPolylineStrokeColor, getPolylineStrokeDashArray, getPolylineStrokeWidth, getPolylineText, getPolylineTheC, getPolylineTheT, getPolylineTheZ, getPolylineTransform, getProjectAnnotationRef, getProjectAnnotationRefCount, getProjectCount, getProjectDatasetRef, getProjectDescription, getProjectExperimenterGroupRef, getProjectExperimenterRef, getProjectID, getProjectName, getReagentAnnotationRef, getReagentAnnotationRefCount, getReagentCount, getReagentDescription, getReagentID, getReagentName, getReagentReagentIdentifier, getRectangleAnnotationRef, getRectangleFillColor, getRectangleFillRule, getRectangleFontFamily, getRectangleFontSize, getRectangleFontStyle, getRectangleHeight, getRectangleID, getRectangleLocked, getRectangleStrokeColor, getRectangleStrokeDashArray, getRectangleStrokeWidth, getRectangleText, getRectangleTheC, getRectangleTheT, getRectangleTheZ, getRectangleTransform, getRectangleWidth, getRectangleX, getRectangleY, getRightsRightsHeld, getRightsRightsHolder, getROIAnnotationRef, getROIAnnotationRefCount, getROICount, getROIDescription, getROIID, getROIName, getScreenAnnotationRef, getScreenAnnotationRefCount, getScreenCount, getScreenDescription, getScreenID, getScreenName, getScreenPlateRef, getScreenProtocolDescription, getScreenProtocolIdentifier, getScreenReagentSetDescription, getScreenReagentSetIdentifier, getScreenType, getShapeAnnotationRefCount, getShapeCount, getShapeType, getStageLabelName, getStageLabelX, getStageLabelY, getStageLabelZ, getTagAnnotationAnnotationCount, getTagAnnotationAnnotationRef, getTagAnnotationAnnotator, getTagAnnotationCount, getTagAnnotationDescription, getTagAnnotationID, getTagAnnotationNamespace, getTagAnnotationValue, getTermAnnotationAnnotationCount, getTermAnnotationAnnotationRef, getTermAnnotationAnnotator, getTermAnnotationCount, getTermAnnotationDescription, getTermAnnotationID, getTermAnnotationNamespace, getTermAnnotationValue, getTiffDataCount, getTiffDataFirstC, getTiffDataFirstT, getTiffDataFirstZ, getTiffDataIFD, getTiffDataPlaneCount, getTimestampAnnotationAnnotationCount, getTimestampAnnotationAnnotationRef, getTimestampAnnotationAnnotator, getTimestampAnnotationCount, getTimestampAnnotationDescription, getTimestampAnnotationID, getTimestampAnnotationNamespace, getTimestampAnnotationValue, getTransmittanceRangeCutIn, getTransmittanceRangeCutInTolerance, getTransmittanceRangeCutOut, getTransmittanceRangeCutOutTolerance, getTransmittanceRangeTransmittance, getUUID, getUUIDFileName, getUUIDValue, getWellAnnotationRef, getWellAnnotationRefCount, getWellColor, getWellColumn, getWellCount, getWellExternalDescription, getWellExternalIdentifier, getWellID, getWellReagentRef, getWellRow, getWellSampleCount, getWellSampleID, getWellSampleImageRef, getWellSampleIndex, getWellSamplePositionX, getWellSamplePositionY, getWellSampleRefCount, getWellSampleTimepoint, getWellType, getXMLAnnotationAnnotationCount, getXMLAnnotationAnnotationRef, getXMLAnnotationAnnotator, getXMLAnnotationCount, getXMLAnnotationDescription, getXMLAnnotationID, getXMLAnnotationNamespace, getXMLAnnotationValue`

Copyright © 2026 Open Microscopy Environment